import pandas as pd
import numpy as np

def load_data_RH_logger(filepath):
    """

    """
    with open(filepath, 'r') as f:
        header = f.readline()
    header = header.strip('# ').rstrip('\n').split('|')
    header.append('X') # Empty col...
    
    df = pd.read_csv('_data.dat', sep=' ',  names=header, skiprows=1)
    df = df.drop(columns='X')
    df = df.drop(np.arange(1))
    
    df['dm_m'] = (df['weight'] - df['weight'].iloc[0]) / df['weight'].iloc[0]
    
    
    # Crop data
    #df = df.drop(df[df['time'] < 0.02 * 3600].index)
    df = df.reset_index()
    del df['index']
    #df.head()
    #df = df[df['time'] > 301_000]
    return df